clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::RefsRequest Struct Reference

`#include <Index.h>`

Collaboration diagram for clang::clangd::RefsRequest:
[legend]

## Public Attributes
llvm::DenseSet< SymbolID > | IDs
RefKind | Filter = RefKind::All
llvm::Optional< uint32_t > | Limit
| If set, limit the number of refers returned from the index. More...

## Detailed Description

Definition at line 476 of file Index.h.

## Member Data Documentation

## ◆ Filter

RefKind clang::clangd::RefsRequest::Filter = RefKind::All

Definition at line 478 of file Index.h.

## ◆ IDs

llvm::DenseSet<SymbolID> clang::clangd::RefsRequest::IDs

Definition at line 477 of file Index.h.

## ◆ Limit

llvm::Optional<uint32_t> clang::clangd::RefsRequest::Limit

If set, limit the number of refers returned from the index.

The index may choose to return less than this, e.g. it tries to avoid returning stale results.

Definition at line 482 of file Index.h.

The documentation for this struct was generated from the following file:

- Index.h